<template>
  <v-layout
    column
    justify-center
  >
    <v-list
      v-for="(header, i) in messagesNotif"
      :key="i"
    >
      <v-subheader
        v-text="header.header"
      >
      </v-subheader>
      <v-expansion-panel popout>
      <v-expansion-panel-content
          v-for="(message, j) in header.data"
          :key="j"
          hide-actions
      >
          <v-layout
          slot="header"
          align-center
          row
          spacer
          >
          <v-flex xs4 sm2 md1>
              <v-avatar
              slot="activator"
              size="36px"
              >
              <img
                  v-if="message.avatar"
                  src=""
                  alt="Avatar"
              >
              <v-icon
                  v-else
                  :color="message.color"
                  v-text="message.icon"
              ></v-icon>
              </v-avatar>
          </v-flex>
          <v-flex sm5 md3>
            <strong v-html="message.name"></strong>
          </v-flex>
          </v-layout>

          <v-card>
          <v-divider></v-divider>
          <v-card-text v-text="lorem"></v-card-text>
          </v-card>
      </v-expansion-panel-content>
      </v-expansion-panel>
    </v-list>
  </v-layout>
</template>

<script>
  export default {
    computed: {
      messagesNotif: function () {
        return this.$store.getters.messages
      },
      lorem: function () {
        return this.$store.getters.lorem
      }
    }
  }
</script>